Browse Source

Die ASAP if ffoom could not be sourced

Alois Mahdal 9 years ago
parent
commit
4adca933c7

+ 1
- 1
src/libexec/saturnin-au View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(ffoom path)"
3
+. "$(ffoom path)" || exit 3
4
 
4
 
5
 ffoo import pretty
5
 ffoo import pretty
6
 
6
 

+ 1
- 1
src/libexec/saturnin-clip View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(ffoom path)"
3
+. "$(ffoom path)" || exit 3
4
 
4
 
5
 ffoo import inigrep
5
 ffoo import inigrep
6
 ffoo import pretty
6
 ffoo import pretty

+ 1
- 1
src/libexec/saturnin-dmenu View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(ffoom path)"
3
+. "$(ffoom path)" || exit 3
4
 
4
 
5
 ffoo import inigrep
5
 ffoo import inigrep
6
 ffoo import pretty
6
 ffoo import pretty

+ 1
- 1
src/libexec/saturnin-iam View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(ffoom path)"
3
+. "$(ffoom path)" || exit 3
4
 
4
 
5
 ffoo import inigrep
5
 ffoo import inigrep
6
 ffoo import pretty
6
 ffoo import pretty

+ 1
- 1
src/libexec/saturnin-kb View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(ffoom path)"
3
+. "$(ffoom path)" || exit 3
4
 
4
 
5
 ffoo import inigrep
5
 ffoo import inigrep
6
 ffoo import pretty
6
 ffoo import pretty

+ 1
- 1
src/libexec/saturnin-ln View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(ffoom path)"
3
+. "$(ffoom path)" || exit 3
4
 
4
 
5
 ffoo import inigrep
5
 ffoo import inigrep
6
 ffoo import pretty
6
 ffoo import pretty

+ 1
- 1
src/libexec/saturnin-menu View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(ffoom path)"
3
+. "$(ffoom path)" || exit 3
4
 
4
 
5
 ffoo import inigrep
5
 ffoo import inigrep
6
 ffoo import pretty
6
 ffoo import pretty

+ 1
- 1
src/libexec/saturnin-uris View File

1
 #!/bin/bash
1
 #!/bin/bash
2
 
2
 
3
-. "$(ffoom path)"
3
+. "$(ffoom path)" || exit 3
4
 
4
 
5
 ffoo import inigrep
5
 ffoo import inigrep
6
 ffoo import pretty
6
 ffoo import pretty